<template>
  <div class="guest_page_footer">
    <div class="guest_page_wrapper">
      <div class="guest_page_left">
        <span class="copy-right">{{ $t('footer.copy_right') }}</span>
        <span class="contact">{{ $t('footer.contact') }} <a class="email" href="mailto:contact@heta.org">contact@heta.org</a></span>
      </div>
      <div class="guest_page_right">
        <!--<a href="javascript:void(0)" class="menu-iem">-->
          <!--Home-->
        <!--</a>-->
        <!--<a href="javascript:void(0)" class="menu-iem">-->
          <!--Support-->
        <!--</a>-->
        <router-link to="/guide" class="support-link">
          {{$t('header.txt11')}}
        </router-link>
        <div class="menu-iem locale language"
             :class="{'active': isShowLanguage}"
             v-click-outside="() => isShowLanguage = false">
          <div class="language__current" @click="isShowLanguage = !isShowLanguage">
            <span class="selected">{{ $i18n.locale | uppercase }}</span>
            <i aria-hidden="true" class="fa fa-caret-up language__arrow"></i>
          </div>
          <ul class="language-list sub-menu">
            <template v-for="locale in supportedLocales">
              <li v-if="$i18n.locale !== locale"
                  class="list-item"
                  @click="updateUserLocale(locale)">
                <span>{{ locale | uppercase }}</span>
              </li>
            </template>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import { mapState } from 'vuex';
  import Utils from '../../common/utils';
  import rf from '../../common/requests/RequestFactory';

  export default {
    data () {
      return {
        isShowLanguage: false,
      };
    },
    computed: {
      ...mapState([
        'supportedLocales',
      ]),
    },
    methods: {
      updateUserLocale (locale) {
        Utils.setI18nLocale(locale);
        document.documentElement.setAttribute('lang', locale);
        this.isShowLanguage = false;

        let params = {
          lang: locale
        };
        rf.getRequest('UserRequest').setLocale(params);
      },
    },
  }
</script>

<style lang="scss" scoped>
  @import '../../../sass/variables';
  .guest_page_footer {
    border-top: 1px solid #2f2f54;
    background: #2f2f54;
    height: 70px;
    position: fixed;
    bottom: 0px;
    width: 100%;
    font-size: 0;
    padding: 0;
    display: table;
    .guest_page_wrapper {
      display: table-cell;
      vertical-align: middle;
      .guest_page_right {
        margin: 0;
      }
    }
    .guest_page_left {
      font-size: 14px;
      color: #989898;
      width: 50%;
      display: inline-block;
      padding-left: 75px;
      line-height: 35px;
      .email {
        color: #d8d8d8;
        text-decoration: none;
        cursor: pointer;
      }
      .copy-right {
        font-size: 14px;
        letter-spacing: -0.3px;
      }
      .contact {
        padding-left: 5px;
        font-size: 13px;
        letter-spacing: 0.2px;
      }
    }
  }

  @media screen and (max-width: 1023px) {
    .guest_page_left {
      padding-left: 30px !important;
      width: 70% !important;
    }

    .guest_page_right {
      width: 30% !important;
      padding-right: 30px !important;
    }
  }
</style>
